/*
Theme Name: cuuhogiaothong
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/
b, strong{
	font-weight: bold;
}
a.lead, p.lead{
	font-size: 15px!important;
}
.header, .header-wrapper{
	background: #FFF!important;
}
#header{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    background: #fff;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.1);
    position: relative;
}
header .top-divider{
	display: none;
}
.nav .menu-item a{
	padding: 0 5px;
    letter-spacing: 1px;
	font-size: 16px;
	color: #01306E;
}
.nav .menu-item.active a.nav-top-link{
	color: #0157AC;
}

.nav .nav-dropdown{
	padding: 10px 20px;
	width: max-content;
}
.nav .nav-dropdown .menu-item a{
	padding: 16px 0;
}

.mobile-sidebar .sub-menu{
	padding-bottom: 15px!important;
}
.mobile-sidebar .sub-menu a{
	padding: 10px!important;
}

.breadcrumb-wrapper{
	font-size: 14px;
    color: #666;
	background: #F8F8F8;
	margin-bottom: 26px;
}
.breadcrumb-wrapper .col{
	padding-bottom: 0;
}
.breadcrumb-wrapper p{
	margin: 0;
	padding: 15px 0;
}
.breadcrumb-wrapper .breadcrumb_last{
	color: #0157AC;
}

.single-post header.entry-header .entry-category a{
	background: #0157AC;
    border-radius: 5px;
    padding: 3px 8px;
    color: #FFF!important;
    font-weight: 100;
}
.single-post header.entry-header .entry-category a:hover{
	background: #000;
}
.single-post header.entry-header .entry-title{
	font-size: 32px;
    line-height: 1.246em;
    font-weight: 700;
	margin-top: 20px;
}
.single-post header.entry-header .entry-divider{
    max-width: 100px;
    background-color: #02316F;
}
main#main{
	color: #333;
    font-size: 18px;
	font-family: Arial;
}
main#main table{
	width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
    font-size: 16px;
    border: 1px solid #ececec;
}
main#main .table-container-autoscroll{
  width: 100%;
  overflow-x: auto;
  display: block;
}

main#main thead{
	
}
main#main th{
	background-color: #446084;
    color: #ffffff;
    padding: 12px 15px;
    border: 1px solid #ececec;
    text-transform: uppercase;
}
main#main tbody{
	
}
main#main tr{
	
}
main#main td{
	padding: 10px 5px;
    border: 1px solid #ececec;
    font-size: 15px;
    color: #000;
}
main#main tr:nth-child(even) {
    background-color: #f9f9f9;
}
main#main tr:hover {
    background-color: #f1f1f1;
}
main #content a{
	color: #0157AC;
}

main #content .box-blog-post a{
	color: var(--fs-experimental-link-color);
}
main #content ul, main #content ol{
	padding-left: 20px;
}

.entry-header-text-top{
	padding-bottom: 0;
}

.back-to-top{
	bottom: 66px;
}
.footer-wrapper .col-inner .widget-title{
	position: relative;
	display: block;
	padding-bottom: 18px;
	margin-bottom: 22px;
}
.footer-wrapper .col-inner .widget-title:after{
	content: "";
    width: 66px;
    border-bottom: 3px solid #fd5f02;
    position: absolute;
    bottom: 0;
    left: 0;
}
.footer-wrapper .col-inner p, .footer-wrapper .col-inner ul{
	font-size: 13px;
	text-align: justify;
}

/* Trang chủ */
body.home main #content .banner a{
	color: #fff;
}
body.home .post-item .col-inner{
	overflow: hidden;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    padding: 5px;
}
body.home .post-item .box-default .box-image {
    display: none;
}
body.home .post-item:nth-child(1) .box-image {
    display: block;
}
body.home .post-item .box-text{
    padding-bottom: 0.5em;
    background: #f1f1f1;
    padding-left: 10px;
    padding-right: 10px;
}
body.home .post-item .is-divider {
    height: 2px;
    background: #0157AC;
    max-width: 56px;
}
@media only screen and (max-width: 650px) {
	body.home .banner-grid-wrapper .col.grid-col{
		min-height: 300px;
	}
}

/* Trang danh mục */
body.category .taxonomy-description{
	text-align: justify;
}
body.category .page-title {
    position: relative;
    font-size: 31px;
    color: #0157a9;
}
body.category .large-10{
    flex-basis: 100%;
    max-width: 100%;
}
body.category .box-vertical .box-text {
	vertical-align: top;
    padding-top: 0;
}
@media only screen and (max-width: 650px) {
	body.category .box-vertical .box-text {
		padding-top: 10px;
	}
}

/* Kêu gọi hành động */
.block-call-to-action{
  display: block;
  text-align: center;
}
.block-call-to-action .cta{
    background-color: #facc15;
    color: #fb0303 !important;
    text-transform: uppercase;
    padding: 12px 18px !important;
    border-radius: 50px;
    font-weight: bold;
    font-size: 28px;
    text-decoration: none;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: background 0.3s;
    margin: 16px 0 26px 0 !important;
    display: inline-block;
}
.block-call-to-action .cta:hover {
  background-color: #fde047;
  color: #0B1F3A;
}
.block-call-to-action .cta .contact-btn-icons{
	zoom: 0.9!important;
    margin-right: 20px!important;
}
@media only screen and (max-width: 650px) {
	.block-call-to-action .cta{
		padding: 8px 20px !important;
		font-size: 25px;
		letter-spacing: 3px;
	}
}


@media only screen and (max-width: 650px) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/
	.medium-logo-center .logo img{
		padding: 8px 0;
	}
	body.home .slider-wrapper{
		margin-left: -15px;
		margin-right: -15px;
	}
	body.home #content{
		padding-top: 0;
	}
	body.home h1{
		font-size: 32px!important;
	}

	.single-post header.entry-header .entry-title{
		font-size: 20px;
		line-height: 1.246em;
		font-weight: 700;
	}
	.single-post .entry-header-text-top{
		padding-bottom: 0;
	}
	
	.single-post main#main table{
		width: max-content;
	}
}



/* Cố định hành động liên hệ ngay */
.fixed-contact-action{
    position: fixed;
	bottom: -5%;
    left: calc(50% + 615px);    
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 15px;
    z-index: 99999;
}
.contact-btn-icons {
    width: 50px !important;
    height: 50px !important;
    display: block !important;
    background-image: url(https://cuuhogiaothong.net/wp-content/uploads/icons.png) !important;
    background-repeat: no-repeat !important;
    transition: transform 0.3s ease-in-out;
    border: none;
    outline: none;
    text-decoration: none;
	margin-bottom: 26px;
}
.contact-btn-icons:hover {
    transform: scale(1.1);
}
.contact-btn-icons.zalo {
    background-position: 0 0 !important;
    animation: shake-action 2s infinite ease-in-out;
}
.contact-btn-icons.messenger {
    background-position: -53px 0 !important;
}
.contact-btn-icons.phone {
    background-position: -109px 0 !important;
    animation: shake-action 2s infinite ease-in-out;
}

/* Hiệu ứng rung được định danh riêng biệt */
@keyframes shake-action {
    0% { transform: rotate(0); }
    10% { transform: rotate(15deg); }
    20% { transform: rotate(-10deg); }
    30% { transform: rotate(10deg); }
    40% { transform: rotate(-5deg); }
    50% { transform: rotate(0); }
    100% { transform: rotate(0); }
}

/* Khi màn hình nhỏ hơn 1400px (Nội dung 1230px + khoảng trống chứa icon) */
/* Trả icon về sát mép phải màn hình để không bị đè lên banner */
@media (max-width: 1400px) {
    .fixed-contact-action {
        left: auto;
        right: 10px;
        margin-left: 0;
    }
}

@media (max-width: 768px) {
    .back-to-top{
        left: 20px;
        right: auto;
    }
}


/* Khung hiện thị ảnh trong bài */
.wp-caption .wp-caption-text{
	margin-bottom: 20px !important;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    font-size: 14px;
    padding: 8px 15px 10px 15px !important;
}

/* Hiện thị ảnh danh sách blog */
.has-format, .image-cover, .video-fit{
	padding-top: 70%!important;
}